<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core">


        <h:form id="form2" rendered="#{externalsystemview.concreetExternalSystem!=null }" >
            <p:growl id="msgs" showDetail="true"/>

            <h:outputText value="Нет записей для MPOS!" rendered="#{empty tsettingsmposview.tSettingsMposList}"
                          style="font-size: 16px; color: #ffffff;"/>

            <p:dataTable id="tsettingsmpostable" var="tt" value="#{tsettingsmposview.tSettingsMposList}"
                         rendered="#{not empty tsettingsmposview.tSettingsMposList}"
                         styleClass="table-cell"
                         headerClass="table-header"
                         rowKey="#{tt.id}"
                         scrollable="true" scrollHeight="300"
                         selectionMode="single"
                         selection="#{tsettingsmposview.concreetTSettingsMpos}"
                         rowStyleClass="row1Style"
                         columnClasses="columnClass" >

                <p:column width="40" headerText = "ID" rendered="false"><h:outputLabel value="#{tt.id}" /></p:column>

                <p:column width="40" headerText = "TERMID" style="text-align: left" sortBy="#{tt.termId}">
                    <p:commandButton actionListener="#{tsettingsmposview.showEditDialog(tt)}" rendered="#{(applicationUser.type==1)}" icon="ui-icon-pencil" title="Edit">
                        <p:ajax event="dialogReturn" listener="#{tsettingsmposview.onDialogClose}" update=":tabview1:form2:msgs,:tabview1:form2:tsettingsmpostable, :tabview:form3:externalsystemtable" />
                    </p:commandButton>
                    <h:outputText value="&#160;" /><h:outputText value="&#160;" />
                    <h:outputLabel value="#{tt.termId}" />
                </p:column>

                <!--<p:column width="80" headerText = "EXTSYSTEMCODE" ><h:outputLabel value="{tt.extSystemCode}" /></p:column>-->
                <p:column width="80" headerText = "Внешняя система" sortBy="#{tt.externalSystem.extId}">
                    <h:outputLabel value="#{tt.externalSystem.extId}" />
                </p:column>

                <p:column width="40" headerText = "Банк" sortBy="#{tt.psid}"><h:outputLabel value="#{tt.psid}"  /></p:column>

                <p:column width="40" headerText = "Филиал" sortBy="#{tt.fiid}"><h:outputLabel value="#{tt.fiid}" /></p:column>

                <p:column width="80" headerText = "IP-адрес" ><h:outputLabel value="#{tt.termId}" /></p:column>

                <p:column width="40" headerText = "Порт" ><h:outputLabel value="#{tt.termport}" /></p:column>

                <p:column width="40" headerText = "Таимаут" ><h:outputLabel value="#{tt.timeOut}" /></p:column>

                <p:column width="40" headerText = "Занят"  rendered="true"><h:outputLabel value="#{tt.isBusy eq '0' ? 'Не занят' : 'Занят'}" /></p:column>

                <p:column width="40" headerText = "Разр.операции" rendered="true"><h:outputLabel value="#{tt.operation}" /></p:column>

                <p:column width="40" headerText = "PSID_IssAlwd" rendered="false"><h:outputLabel value="#{tt.psidIsAlwd}" /></p:column>

                <p:column width="30" rendered="#{(applicationUser.type==1)}" headerText="Удалить">
                    <p:commandButton actionListener="#{tsettingsmposview.deleteRecord(tt)}" icon="ui-icon-trash" title="Удалить" ajax="true" update="tsettingsmpostable" >
                        <p:confirm header="Confirmation" message="Вы действительно хотите удалить выбранную запись?" icon="ui-icon-alert"/>
                    </p:commandButton>
                </p:column>
            </p:dataTable>

            <p:contextMenu for="tsettingsmpostable">
                <p:menuitem value="Редактировать запись"  actionListener="#{tsettingsmposview.showEditContextMenu}" ajax="false" icon="ui-icon-pencil" style="color: yellow; font-size: 12px;"/>
            </p:contextMenu>

            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Да" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                <p:commandButton value="Нет" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
            </p:confirmDialog>

            <p:separator/>

            <p:commandButton rendered="#{(applicationUser.type==1)}" value = "Добавить MPOS" actionListener="#{tsettingsmposview.showAddNewDialog}">
                <p:ajax event="dialogReturn" listener="#{tsettingsmposview.onDialogClose}"  update="tsettingsmpostable,:tabview1:form2:msgs,:tabview1:form2:tsettingsmpostable"/>
            </p:commandButton>

        </h:form>
</html>
